# DeferredResource (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.loading
Interface DeferredResource

All Known Implementing Classes:
  DeferredSound, DeferredTexture

    public interface DeferredResource

A description of any class providing a resource handle that be loaded at a later date (i.e. deferrred)

Author:
  kevin

Method Summary
`java.lang.String` `getDescription()` Get a description of the resource to be loaded
`void` `load()` Load the actual resource

Method Detail

### load

    void load()
              throws java.io.IOException

  Load the actual resource

  Throws:
    `java.io.IOException` - Indicates a failure to load the resource

### getDescription

    java.lang.String getDescription()

  Get a description of the resource to be loaded

  Returns:
    The description of the resource to be loaded

Copyright © 2006 New Dawn Software. All Rights Reserved.